localefwd.h File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Functions

template<typename _Facet>
bool | std::has_facet (const locale &__loc) throw ()
template<typename _CharT>
bool | std::isalnum (_CharT __c, const locale &__loc)
template<typename _CharT>
bool | std::isalpha (_CharT __c, const locale &__loc)
template<typename _CharT>
bool | std::isblank (_CharT __c, const locale &__loc)
template<typename _CharT>
bool | std::iscntrl (_CharT __c, const locale &__loc)
template<typename _CharT>
bool | std::isdigit (_CharT __c, const locale &__loc)
template<typename _CharT>
bool | std::isgraph (_CharT __c, const locale &__loc)
template<typename _CharT>
bool | std::islower (_CharT __c, const locale &__loc)
template<typename _CharT>
bool | std::isprint (_CharT __c, const locale &__loc)
template<typename _CharT>
bool | std::ispunct (_CharT __c, const locale &__loc)
template<typename _CharT>
bool | std::isspace (_CharT __c, const locale &__loc)
template<typename _CharT>
bool | std::isupper (_CharT __c, const locale &__loc)
template<typename _CharT>
bool | std::isxdigit (_CharT __c, const locale &__loc)
template<typename _CharT>
_CharT | std::tolower (_CharT __c, const locale &__loc)
template<typename _CharT>
_CharT | std::toupper (_CharT __c, const locale &__loc)
template<typename _Facet>
const _Facet & | std::use_facet (const locale &__loc)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <locale>.

Definition in file localefwd.h.